package pack

import (
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"
)

func HttpSpecialTaskDataListRequestToCondition(req *http_model.SpecialTaskDataListRequest) *common_model.TalentConditions {
	return &common_model.TalentConditions{
		ProjectId:        req.ProjectId,
		DataStatus:       conv.MustInt64(req.DataStatus),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}
